evilwm(1)

NAME
evilwm - Minimalist Window Manager for X

SYNOPSIS
evilwm [ -display display ] [ -term termprog ] [ -fn fontname ] [ -fg foreground-colour ] [ -fc fixed-colour ] [ -bg background-colour ] [ -bw borderwidth ] [ -snap num ] [ -mask1 modifiers ] [ -mask2 modifiers ] [ -altmask modifier ] [ [ -app name/class ] [ -geometry geometry ] [ -dock ] [ -vdesk vdesk ] [ -fixed ] ]... [ -nosoliddrag ] [ -V ]

DESCRIPTION
evilwm is a minimalist window manager based on aewm, extended to feature many keyboard controls, and otherwise altered to be more friendly.

In evilwm, the focus follows the mouse pointer, and focus is not lost if you stray onto the root window. The current window border is shaded gold, with other windows left as a dark grey.

You can use the mouse to manipulate windows either by click/dragging the 1 pixel border, or by holding down Alt and doing so anywhere in the client window. The controls are:

Button 1
    Move window.

Button 2
    Resize window.

Button 3
    Lower window.

Most keyboard controls are used by holding down Control and Alt, then pressing a key. Available functions are:

Return
    Spawn new terminal.

Escape
    Delete current window. Hold Shift as well to force kill a client.

Insert
    Lower current window.

H, J, K, L
    Move window left, down, up or right (16 pixels). Holding Shift resizes the window instead.

Y, U, B, N
    Move window to top-left, top-right, bottom-left or bottom-right of screen.

I   Show information about current window.

Equals
    Maximise current window vertically (toggle).

X   Maximise current window (toggle).

D   Toggle visible state of docks (e.g., pagers and launch bars).

If compiled with virtual desktop support, these functions are also available:

F   Fix or unfix current window.

1--8
    Switch virtual desktop.

Left
    Previous virtual desktop.

Right
    Next virtual desktop.

A   Switch to the most recently unmapped virtual desktop.

In addition to the above, Alt+Tab can be used to cycle through windows on screen.

To make evilwm exit, you have to kill the process.

OPTIONS

-display display
    specifies the X display to run on.

-term termprog
    specifies an alternative program to run when spawning a new terminal (defaults to xterm, or x-terminal-emulator in Debian). Separate arguments with whitespace, and escape needed whitespace with a backslash. Remember that special characters will also need to be protected from the shell.

-fn fontname
    specify a font to use when resizing or displaying window titles.

-fg foreground-colour
    frame colour of currently active window.

-fc fixed-colour
    frame colour of active fixed windows.

-bg background-colour
    frame colour of inactive windows.

-bw borderwidth
    width of window borders in pixels.

-snap num
    enable snap-to-border support. num gives the proximity in pixels to snap to.

-mask1 modifiers, -mask2 modifiers, -altmask modifier
    override the default keyboard modifiers used to grab keys for window manager functionality. mask1 is used for most keyboard controls (default: control+alt), and mask2 is used for mouse button controls and cycling windows (default: alt). altmask is used to modify the behaviour of certain controls (default: shift). Modifiers may be separated with + signs. Valid modifiers are shift, lock, control, alt, mod1, mod2, mod3, mod4, mod5.

-app name/class
    match an application by instance name and class (for help in finding these, use the xprop tool to extract the WM_CLASS property). Subsequent -geometry, -dock, -vdesk and -fixed options will apply to this match.

-g, -geometry geometry
    apply a geometry (using a standard X geometry string) to applications matching the last -app.

-dock
    specify that application should be considered to be a dock, even if it lacks the appropriate property.

-v, -vdesk vdesk
    specify a default virtual desktop for applications matching the last -app. Note that desktops are numbered from 0.

-f, -fixed
    specify that application is to start with a fixed client window (-s is also accepted to be compatible with previous versions).

-nosoliddrag
    draw a window outline while moving or resizing.

-V  print version number.

evilwm will also read options, one per line, from a file called .evilwmrc in the user's home directory. Options listed in a configuration file should omit the leading dash. Options specified on the command line override those found in the configuration file.

FILES
$HOME/.evilwmrc

BUGS
The author's idea of friendly may differ to that of many other people.

AUTHOR
Ciaran Anscomb <evilwm@6809.org.uk>.
aewm was written by Decklin Foster <fosterd@hartwick.edu>.
9wm was written by David Hogan <dhog@cs.su.oz.au>.

SEE ALSO
xterm(1), xprop(1)